<?php 

class EnquiryForm extends Form {
 
   function __construct($controller, $name) {
   	
      $fields = new FieldSet(
         new TextField('name', 'Name', 'Name:'),
         new EmailField('email', 'Email', 'Email:'),
         new TextField('tel', 'Tel', 'Tel:'),
         new TextField('brand', 'Brand', 'Brand:'),
         new SimpleImageField('image', 'Add image', 'Add image:'),
		 new TextareaField('desc', 'Description', 5, 10, 'Description:')
         
      );
 
      $actions = new FieldSet(
         new FormAction('sendForm', 'Submit')
      );
      
      $validator = new RequiredFields('name', 'desc');
	  
 	
      $legend = parent::setLegend("Parts <span>enquiry</span>...");
      
      parent::__construct($controller, $name, $fields, $actions, $validator);
   }
 
   function forTemplate() {
      return $this->renderWith(array(
         $this->class,
         'sendForm'
      ));
   }
 
   function sendForm($data, $form) {
      Session::set('ContactFormEntry', true); 
      $Enquiry = new Enquiry; 
      $form->saveInto($Enquiry); 
      $Enquiry->write(); 
	  $record = DataObject::get_one("Homepage");
	  if($record->Mailto){
		$From = $data['email'];
		$email = new Email();
		$email->setTemplate('EnquiryEmail');
		$email->setSubject('Someone submitted the enquiry form');
		$email->setFrom($From);
		$email->setTo($record->Mailto);
		$email->populateTemplate($data);
		$email->send();
		$form->sessionMessage($record->SubmitText,"good");
	  }
      Director::redirect(Director::baseURL()."?success=1");
   }
 
}

?>